Bug 1012637 - won't start up due to incorrect selinux labels on /etc/ipsec.d/{cert8,key3}.db
Summary: won't start up due to incorrect selinux labels on /etc/ipsec.d/{cert8,key3}.db
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreswan
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-26 18:41 UTC by Richard Guy Briggs
Modified: 2014-09-19 10:16 UTC (History)
2 users (show)

Fixed In Version: libreswan-3.10-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 10:12:31 UTC


Attachments (Terms of Use)
cert8.db sealert report (2.85 KB, text/plain)
2013-09-26 18:41 UTC, Richard Guy Briggs
no flags Details
key3.db sealert report (2.85 KB, text/plain)
2013-09-26 18:47 UTC, Richard Guy Briggs
no flags Details

Description Richard Guy Briggs 2013-09-26 18:41:12 UTC
Created attachment 803535 [details]
cert8.db sealert report

Description of problem:
won't start up due to incorrect selinux labels on /etc/ipsec.d/{cert8,key3}.db


Version-Release number of selected component (if applicable):
libreswan-3.5-2.fc18.x86_64

How reproducible:
Happened after a yum update


Steps to Reproduce:
1. yum update libreswan
2. ipsec setup start (or restart)
3. ipsec auto --status

Actual results:
Reports pluto isn't running


Expected results:
Normal status listing algorithms and connections


Additional info:

Comment 1 Richard Guy Briggs 2013-09-26 18:47:19 UTC
Created attachment 803536 [details]
key3.db sealert report

Comment 2 Richard Guy Briggs 2013-09-26 18:49:20 UTC
label ipsec_key_file_t worked.

Comment 3 Fedora Update System 2014-07-11 15:53:28 UTC
libreswan-3.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreswan-3.9-1.fc20

Comment 4 Fedora Update System 2014-07-11 15:54:33 UTC
libreswan-3.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreswan-3.9-1.fc19

Comment 5 Fedora Update System 2014-07-12 02:21:50 UTC
Package libreswan-3.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreswan-3.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8272/libreswan-3.9-1.fc19
then log in and leave karma (feedback).

Comment 6 lnie 2014-07-24 06:01:17 UTC
libreswan-3.9-1.fc20 works

Comment 7 Fedora Update System 2014-09-09 19:17:49 UTC
libreswan-3.10-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreswan-3.10-3.fc20

Comment 8 Fedora Update System 2014-09-09 19:30:19 UTC
libreswan-3.10-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreswan-3.10-3.fc19

Comment 9 Fedora Update System 2014-09-19 10:12:31 UTC
libreswan-3.10-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-09-19 10:16:37 UTC
libreswan-3.10-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.